Subject: [alpine-devel] [PATCH] extra/heimdal: build againt system libcom_err, built-in libeditline removed since libreadline is used

From: Leonardo Arena <[email-masked]>
Date: Fri, 15 May 2009 15:28:05 +0200

Now it builds against system com_err library. E2fsprogs added as dep.
I've removed also built-in editline library since we previously added
readline as dep.
greetings
leo
From d49d45a62859902c50f2747066d09ae5b3eacd81 Mon Sep 17 00:00:00 2001
From: Leonardo Arena <[email-masked]>
Date: Fri, 15 May 2009 13:25:32 +0000
Subject: [PATCH] extra/heimdal: build againt system libcom_err, built-in libeditline removed since libreadline is used

---
 extra/heimdal/APKBUILD |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

diff --git a/extra/heimdal/APKBUILD b/extra/heimdal/APKBUILD
index 2821ea9..a7b52ae 100644
--- a/extra/heimdal/APKBUILD
+++ b/extra/heimdal/APKBUILD
@@ -6,8 +6,8 @@ pkgrel=1
 pkgdesc="An implementation of Kerberos 5"
 url="http://www.h5l.org/"
 license="BSD"
-depends="uclibc sqlite readline openssl"
-makedepends="gawk readline-dev"
+depends="uclibc sqlite readline openssl e2fsprogs"
+makedepends="gawk readline-dev e2fsprogs-dev"
 install=
 subpackages="$pkgname-doc $pkgname-dev $pkgname-ftp $pkgname-telnet \
 $pkgname-su $pkgname-rsh $pkgname-rcp $pkgname-pagsh $pkgname-kf"
@@ -68,6 +68,11 @@ build() {
 	install -m755 -D ../../heimdal-kdc.init ${pkgdir}/etc/init.d/heimdal-kdc
 	install -m755 -D ../../heimdal-kpasswdd.init ${pkgdir}/etc/init.d/heimdal-kpasswdd
 
+	# Remove editline, we use libreadline
+	rm ${pkgdir}/usr/lib/libeditline.* || return 1
+	rm ${pkgdir}/usr/include/editline.h || return 1
+	rm ${pkgdir}/usr/share/man/man3/editline.* || return 1
+
 	# Rename daemons and their manpages
 	for i in telnetd ftpd rshd; do
 		mv ${pkgdir}/usr/share/man/man8/${i}.8 ${pkgdir}/usr/share/man/man8/k${i}.8 || return 1
-- 
1.6.2.3

---

From: Natanael Copa <[email-masked]>
Date: Fri, 15 May 2009 16:29:44 +0200

> I've removed also built-in editline library since we previously added

committed.

thanks!

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---